Bug 138390 - buffer overflow when creating archive containing very long filenames.
Summary: buffer overflow when creating archive containing very long filenames.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zip (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Ben Levenson
URL: http://lists.netsys.com/pipermail/ful...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-08 20:55 UTC by Lon Hohberger
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 00:03:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lon Hohberger 2004-11-08 20:55:13 UTC
When creating an archive, very long filenames (> FNMAX) will cause a
buffer overflow in zip because there is no bounds-checking on the
filename's length.


Note You need to log in before you can comment on or make changes to this bug.